Bug 114325 - gnome-session hangs on logout
Summary: gnome-session hangs on logout
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 17:47 UTC by Marcus Schuetz
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 02:31:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcus Schuetz 2004-01-26 17:47:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20040108 Firebird/0.7+

Description of problem:
After updating to rawhide (I assume the relevant items are gnome-vfs2
and/or libgnome), gnome-session now hangs when pressing Actions >>
logout. Recovery is only possible by killing X.
.xession-errors contains:

Gdk-ERROR **: The program 'gnome-session' received an X Window System
error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 1464 error_code 8 request_code 42 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error()
function.)
aborting...



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Press Actions >> logout
2.
3.
    

Actual Results:  Gnome-session hangs

Expected Results:  Return to gdm

Additional info:

kernel : 2.6.1-1.57custom

Comment 1 Marcus Schuetz 2004-01-28 02:31:56 UTC
Fixed after upgrading to current gnome-session


Note You need to log in before you can comment on or make changes to this bug.